# Adhoc https server

adhoc-server is a simple, secure HTTPS server written in Go. It serves files from a specified directory over HTTPS, providing a quick and easy way to set up a file server with SSL encryption.

## Usage

To run theServer:

```bash
./adhoc-server [options] [path]
```

Options:

- `-b  --bind` - The address to bind the HTTPS server (default "localhost:4443").
- `-v, --version` - Display the version of the server.
- `-h, --help` - Display the help message.

Path:

- The path of the directory to serve. Defaults to the current directory.

## Building from Source

To build adhoc-server from source, clone the repository and use the provided `Makefile`.

```bash
git clone https://git.behzadan.ir/p/adhoc-server.git
cd adhoc-server
make all
```

This will build the server for Linux on amd64, arm7, and arm64 architectures. 

To create release binaries:

```bash
make release
```

This command builds all binaries and packages them into `.tar.gz` files.

